<?php
/*
 *	WSDL Test Client for PiraeusBank PayCenter.
 *
 *	Service: SOAP endpoint
 *	Payload: document/literal
 *	Transport: http
 *	Authentication: none
 */

//require the NuSOAP library
require_once('resources/lib/nusoap.php');

//configure important data to call the ws
$wsdlURL = "http://www.MYDOMAIN.gr/WSDL_Redirection.xml";//CHANGE MYDOMAIN.gr THIS TO YOUR DOMAIN and put the xml file associated in the root folder
$namespace = "http://piraeusbank.gr/paycenter/redirection";
$soapaction = "http://piraeusbank.gr/paycenter/redirection/IssueNewTicket";
$params = array(
    'Username'          => "USERNAME",
    'Password'          => 'ENCRYPTED_PWD',
    'MerchantId'        => 140000000,
    'PosId'             => 81000000,
    'AcquirerId'        => 14,
    'MerchantReference' => 'test',
    'RequestType'       => '02',
    'ExpirePreauth'     => 0,
    'Amount'            => 0.01,
    'CurrencyCode'      => 978,
    'Installments'      => 0,
    'Bnpl'              => 0,
    'Parameters'        => ''
);

//create the client
$client = new nusoap_client($wsdlURL, 'wsdl');
$client->setUseCurl('1');
//check for errors
$err = $client->getError();
if ($err) {
	echo '<h2>Constructor error</h2><pre>' . $err . '</pre>';
	echo '<h2>Debug</h2><pre>' . htmlspecialchars($client->getDebug(), ENT_QUOTES) . '</pre>';
	exit();
}

//configure client to use curl (if it is needed)
$client->setUseCurl(true);

//****************************USE LOCAL FILE START
$xml='
    <IssueNewTicket xmlns="http://piraeusbank.gr/paycenter/redirection">
      <Request>
        <Username>' . $params['Username'] . '</Username>
        <Password>' . $params['Password'] . '</Password>
        <MerchantId>' . $params['MerchantId'] . '</MerchantId>
        <PosId>' . $params['PosId'] . '</PosId>
        <AcquirerId>' . $params['AcquirerId'] . '</AcquirerId>
        <MerchantReference>' . $params['MerchantReference'] . '</MerchantReference>
        <RequestType>' . $params['RequestType'] . '</RequestType>
        <ExpirePreauth>' . $params['ExpirePreauth'] . '</ExpirePreauth>
        <Amount>' . $params['Amount'] . '</Amount>
        <CurrencyCode>' . $params['CurrencyCode'] . '</CurrencyCode>
        <Installments>' . $params['Installments'] . '</Installments>
        <Bnpl>' . $params['Bnpl'] . '</Bnpl>
        <Parameters>' . $params['Parameters'] . '</Parameters>
      </Request>
    </IssueNewTicket>';

//Invoke the Web Service
$result = $client->call('IssueNewTicket', $xml); //CALL WEB SERVICE
//****************************USE LOCAL FILE END
//
//check if call was fault
if ($client->fault) {
	echo '<h2>Fault</h2><pre>'; print_r($result); echo '</pre>';
} else {
        //if not check for errors and print the result if no errors occured
	$err = $client->getError();
	if ($err) {
		echo '<h2>Error</h2><pre>' . $err . '</pre>';
	} else {
		echo '<h2>Result</h2><pre>'; print_r($result); echo '</pre>';
	}
}

//print the request, response and debug information (if it is needed)
echo '<h2>Request</h2><pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
echo '<h2>Response</h2><pre>' . htmlspecialchars($client->response, ENT_QUOTES) . '</pre>';
echo '<h2>Debug</h2><pre>' . htmlspecialchars($client->getDebug(), ENT_QUOTES) . '</pre>';